AC_INIT(v2strip.c)
AM_INIT_AUTOMAKE(v2strip, 0.2.10)
AM_CONFIG_HEADER(config.h)

dnl Checks for programs.
AC_PROG_CC

dnl Checks for libraries.

dnl Checks for header files.
AC_HEADER_STDC
AC_CHECK_HEADERS(unistd.h)

dnl Checks for typedefs, structures, and compiler characteristics.
AC_STRUCT_ST_BLKSIZE
if test $ac_cv_struct_st_blksize = yes; then
 MP_GET_BLKSIZE
else
 mp_cv_var_st_blksize=4096
fi
AC_DEFINE_UNQUOTED(BLKSIZE, $mp_cv_var_st_blksize, [File I/O block size])

dnl Checks for library functions.
AC_CHECK_FUNC(stat,,AC_MSG_ERROR(Missing function stat()))
AC_CHECK_FUNC(chown,,AC_MSG_ERROR(Missing function chown()))
AC_CHECK_FUNC(chmod,,AC_MSG_ERROR(Missing function chmod()))
AC_CHECK_FUNC(mkstemp,,AC_MSG_ERROR(Missing function mkstemp()))

AC_OUTPUT(Makefile)
.
